<?php
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Authors: Sunyruru(SunWoo Kim) <sunyruru@hotmail.com, ruru@unfix.net> |
// +----------------------------------------------------------------------+
//
// $Id: RuruINIWriter.class.php,v 1.1.1.1 2004/04/07 00:43:51 sunyruru Exp $

require_once dirname(__FILE__)."/RuruINI.class.php";

/**
* Ruru INI Writer Class
* 
* RuruINIWriter class  INI ٽ   ϴ.
*    Ŭ RuruINI Class ӹ޽ϴ.
*   *.ini  ۼ  ֵ ϴ.
*
* @since    2004-01-01
* @version	$Id: RuruINIWriter.class.php,v 1.1.1.1 2004/04/07 00:43:51 sunyruru Exp $
* @author	sunyruru<ruru@unfix.net>
* @package	RLib
* @History
* <pre>
*       04-01-01 - v1.0.0 : RuruINIWriter Class 
*
*   Use:
*        [̸]
*        # ¥ ּ
*        ;  ּ
*        value1 = 1
*        value2=2
*        value3 = '3'
*        ; ǥ ǥ  յ   ʴ´
*        value4="  4"
* </pre>
* @copyright	http://ruru.unfix.net
*/
class RuruINIWriter
{
    /**
    * INI Directory θ  
    *
    * @var	string	$iniPath
    * @access	public
    * @since    04-01-01
    */
    var $iniPath = "";

    /**
    * INI File ̸  
    *
    * @var	string	$iniFile
    * @access	public
    * @since    04-01-01
    */
    var $iniFile = "";
    
    /**
    * Constructor
    *
    * @param    bool    $debug
    * @access	public
    * @see	    RURU(), debug()
    * @author	sunyruru<ruru@unfix.net>
    * @since    04-01-01
    */
    function RuruINIWriter( $debug )
    {
        $this->RURU( $debug );
    } /* End of Function */

    /**
    * Destructor
    *
    * @access	public
    * @see	    _RURU()
    * @author	sunyruru<ruru@unfix.net>
    * @since    04-01-01
    */
    function _RuruINIWriter()
    {
        $this->_RURU();
    } /* End of Function */

    /**
    * INI Directory θ Ѵ
    *
    * @param    string  $path
    * @access	public
    * @see	    $iniPath
    * @author	sunyruru<ruru@unfix.net>
    * @since    04-01-02
    */
    function setPath( $path )
    {
        $this->iniPath = $path;
    } /* End of Function */

    /**
    * INI Directory ִ ϸ Ѵ
    *
    * @param    string  $file
    * @access	public
    * @see	    $iniFile
    * @author	sunyruru<ruru@unfix.net>
    * @since    04-01-02
    */
    function setFile( $file )
    {
        $this->iniFile = $file;
    } /* End of Function */

    /**
    * INI Write
    *
    * @param    type    $
    * @return	type
    * @access	public
    * @see	    
    * @author	sunyruru<ruru@unfix.net>
    * @since    04-01-02
    */
    function write()
    {
        if( !is_writable( $this->iniPath."setting.ini.php" ) )
            error("setting.ini.php    ϴ");

        // ڳ ڰ ƴѰ  ǥ  ڸ  ǥ  ʴ´
        if(eregi("[^0-9]",$val) || $val=="") $reg="$name = \"$val\"";
        else $reg="$name = $val";
        
        $ln=file($this->iniPath."setting.ini.php");
        for($a=0;$a<count($ln);$a++)
        {
            // ˻ؼ ش ̸   ־ش
            if(eregi("^".$name,$ln[$a]))
            {
                $ln_mod[$a]=preg_replace("/^".$name." *\= *(\".*\"|[0-9a-zA-Z]+)/ism",$reg,trim($ln[$a]));
                $is_mod=1; //  ߴٴ ǥø 
            }
            else
            {
                $ln_mod[$a]=trim($ln[$a]);
            }
        }

        //  ׸̸  ߰
        if(!$is_mod) $ln_mod[]=$reg;

        // ln_mod 
        $in=implode("\n",$ln_mod);

        // 
        ignore_user_abort(true);
        while(!$fp){ $fp=fopen($this->iniPath."setting.ini.php","w"); }
        flock($fp,1,4);flock($fp,2,4);
        fputs($fp,$in);
        flock($fp,3,4); fclose($fp);
        ignore_user_abort(true);
    } /* End of Function */
} /* End of Class */


/*
 * Local Variables:
 * mode: php
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 */
?>