<?php
// +----------------------------------------------------------------------+
// | PHP version 4.3.2                                                    |
// +----------------------------------------------------------------------+
// | Authors: Sunyruru(SunWoo Kim) <sunyruru@hotmail.com, ruru@unfix.net> |
// +----------------------------------------------------------------------+
//
// $Id: RuruTPL.class.php,v 1.1.1.1 2004/04/07 00:43:51 sunyruru Exp $

require_once dirname(__FILE__)."/Ruru.class.php";

/**
* Ruru Template
* 
* @since    2004-01-01
* @version	$Id: RuruTPL.class.php,v 1.1.1.1 2004/04/07 00:43:51 sunyruru Exp $
* @author	sunyruru<ruru@unfix.net>
* @package	RLib
* @History
* <pre>
*       04-01-01 - v1.0.0 : Ruru Template Class ۼ
* </pre>
* @copyright	http://ruru.unfix.net
*/
class RuruTPL extends RURU
{
    var $doc;
    var $arrdoc     = array();
    var $arrLoopdoc = array();

    var $LoopBlock      = array();
    var $callBlock      = array();

    var $Register_Word  = array();   
    var $Replace_Word   = array();

    var $arrReg_Word    = array();
    var $arrRep_Word    = array();

    var $Vars           = array();

    /**
    * 
    *
    * @param    type    $
    * @return	type
    * @access	public
    * @see	
    * @author	sunyruru<ruru@unfix.net>
    * @since    
    */
    function RuruTPL($targetFile = "")
    {
        $this->RURU();
        // μ 1 ְ,  
        if( func_num_args() < 2 && is_file( $targetFile ) && is_readable( $taretFile ) )
        {
            $fp = fopen( $targetFile , "r" );
            $this->doc = fread( $fp , @filesize( $targetFile ) ); // μ   оδ
            fclose($fp);
        }
        else
            $this->doc = $targetFile; // ƴ϶  

        $this->parse();
    } /* End of function */

    /**
    * 
    *
    * @param    type    $
    * @return	type
    * @access	public
    * @see	
    * @author	sunyruru<ruru@unfix.net>
    * @since    
    */
    function _RuruTPL()
    {
        $this->_RURU();
    } /* End of Function */

    /**
    * Loop  Ѵ
    *
    * @param    string  $blockName
    * @return	type
    * @access	public
    * @author	sunyruru<ruru@unfix.net>
    * @since    04-01-01
    */
    function assignBlock( $blockName )
    {
        if( !is_null( $this->callBlock[$blockName] ) )
        {
            $this->arrLoopdoc[$blockName][] = $this->arrdoc[$blockName];
            $this->arrdoc[$blockName] = $this->LoopBlock[$blockName];
        }
        else
            $this->callBlock[$blockName] = true;
    }

    /**
    * Loop  Ѵ
    *
    * @param    string  $blockName
    * @return	type
    * @access	public
    * @author	sunyruru<ruru@unfix.net>
    * @since    04-01-01
    */
    function assign()
    {
        if( func_num_args() == 1 ) // Array Processing in Not Loop
        {
            foreach( func_get_arg(0) as $key => $value )
            {
                $this->Register_Word[] = "/{" . $key . "}/";
                $this->Replace_Word[]  = $value;
            }
        }
        else if(func_num_args() == 2) // assign in Loop
        {
            if(!is_array(func_get_arg(0)))
            {
                $this->Register_Word[] = "/{" . func_get_arg(0) . "}/";
                $this->Replace_Word[]  = func_get_arg(1);
            }
            else // Array Processing in Loop
            {
                $key2 = func_get_arg(1);

                foreach(func_get_arg(0) as $key1 => $value)
                {
                    $this->arrReg_Word[] = "/{" . $key1 . "}/";
                    $this->arrRep_Word[] = $value;
                }

                $this->arrdoc[$key2] = preg_replace($this->arrReg_Word, $this->arrRep_Word, $this->arrdoc[$key2]);

                unset($this->arrReg_Word);
                unset($this->arrRep_Word);
            }
        }
        else
        {
            $key1 = func_get_arg(0);
            $key2 = func_get_arg(1);
            $key3 = func_get_arg(2);

            $this->arrdoc[$key3] = str_replace("{" . $key1 . "}", $key2, $this->arrdoc[$key3]);
        }
    }

    /**
    * Loop  Ѵ
    *
    * @param    string  $blockName
    * @return	type
    * @access	public
    * @author	sunyruru<ruru@unfix.net>
    * @since    04-01-01
    */
    function printToScreen()
    {
        reset($this->arrLoopdoc);
        while(!is_null($key = key($this->arrLoopdoc)))
        {
            for($i = 1; $i < count($this->arrLoopdoc[$key]); $i++)
                $this->arrLoopdoc[$key][0] .= $this->arrLoopdoc[$key][$i];

            $this->arrdoc[$key] = $this->arrLoopdoc[$key][0] . $this->arrdoc[$key];
            unset($this->arrLoopdoc[$key]);
        }

        foreach($this->arrdoc as $key => $value)
        {
            // is_int   ư ͵  ^^;;
            if( $key == "REUSE" AND !is_int($key) )
                $this->doc .= $this->arrdoc[$value];
            /*
            else if($key == "PHPFILE" AND !is_int($key))
            {
                ob_start();
                @require($value);
                $this->doc .= ob_get_docs();
                ob_end_clean();
            }
            */
            else if( $key == "FILE" AND !is_int($key) )
            {
                ob_start();
                @include($value);
                $this->doc .= ob_get_docs();
                ob_end_clean();
            }
            else
                $this->doc .= $this->arrdoc[$key];
        }

        $this->doc  = preg_replace($this->Register_Word, $this->Replace_Word, $this->doc);

        return $this->doc;

        unset($this->doc);
        unset($this->arrdoc);
        unset($this->Register_Word);
        unset($this->Replace_Word);
        unset($this->LoopBlock);
        unset($this->callBlock);
        unset($this->Vars);
    }

    /**
    * Loop  Ѵ
    *
    * @param    string  $blockName
    * @return	type
    * @access	public
    * @author	sunyruru<ruru@unfix.net>
    * @since    04-01-01
    */
    function parse()
    {
        $regs = preg_split("/<!--[ ]?(ݺ|ݺ|߰|) : (.*) -->/", $this->doc, -1, PREG_SPLIT_DELIM_CAPTURE);
        unset($this->doc);

        reset($regs);
        while( !is_null( $key = key($regs) ) )
        {
            $regs[$key] = trim($regs[$key]);

            $regs[$key] = preg_replace_callback( "/{(.+:.+)}/" , array( &$this , "_callbackV" ) , $regs[$key] );

            switch($regs[$key])
            {
                case "ݺ" :
                    next($regs);
                    $this->arrdoc[$regs[$key+1]] = $regs[$key+2];
                    $this->LoopBlock[$regs[$key+1]] = $regs[$key+2];
                    next($regs);
                break;

                case "ݺ" :
                    next($regs);
                break;

                case "߰" :
                    next($regs);
                    $this->arrdoc['FILE'] = $regs[$key+1];
                break;

                /*
                case "PHP÷" :
                    next($regs);
                    $this->arrdoc['PHPFILE'] = $regs[$key+1];
                break;
                */
                
                case "" :
                    next($regs);
                    $this->arrdoc['REUSE'] = $regs[$key+1];
                break;

                default :
                    array_push($this->arrdoc, $regs[$key]);
                break;
            } // end of switch(trim($regs[$key]))

            next($regs);
        } // end of While
    }

    function _callbackV($matches)
    {
        $Seperate_Word = explode(":", $matches[1]);
        $Seperate_Word[1] = explode(",", $Seperate_Word[1]);

        for($i = 0; $i < count($Seperate_Word[1]); $i++)
        {
            $GetVar = explode("=", trim($Seperate_Word[1][$i]));
            $this->Vars[$Seperate_Word[0]][$GetVar[0]] = $GetVar[1];
        }

        return "{" . $Seperate_Word[0] . "}";
    }
} /* End of Class */

$TPL = & new RuruTPL(__FILE__);

/*
 * Local Variables:
 * mode: php
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 */
?>