<?php
// +----------------------------------------------------------------------+
// | PHP version 4.3.2                                                    |
// +----------------------------------------------------------------------+
// | Authors: Sunyruru(SunWoo Kim) <sunyruru@hotmail.com, ruru@unfix.net> |
// +----------------------------------------------------------------------+
//
// $Id: initialize.lib.php,v 1.1.1.1 2004/04/07 00:43:51 sunyruru Exp $

/**
* Initialize Site data
*
* @param    array   &$_SITE
* @param    int     $site
* @return	array   $_SITE
* @access	public
* @author	sunyruru<ruru@unfix.net>
* @since    03-12-26
*/
function initSITE( &$_SITE , $site )
{
    global $_TBN , $SQL;
    if ( !$SQL->isConnect() || (is_array( $_SITE ) && sizeOf( $_SITE )) ) return false;
    $_SITE = array();
    $SQL->queryResult( "select * from $_TBN[site] where no='$site'" );
    $_SITE = $SQL->DATA[0];
    return $_SITE;
} /* End of Function */

/**#F
    @Name: initGRP()@$
    @Type: Array@$
    @See: RuruMySQL Class@$
    @Version: 1.0.7@$
    @Date: 03-08-13@$
    @Last Modified: 03-12-26@$
    @Detail: Group data swap@$
*/
function initGRP( &$_GRP , $grp )
{
    global $_TBN , $SQL;
    if ( !$SQL->isConnect() || (is_array( $_GRP ) && sizeOf( $_GRP )) ) return false;
    $_GRP = array();
    $SQL->queryResult( "select * from $_TBN[group] where no='$grp'" );
    $_GRP = $SQL->DATA[0];
    return $_GRP;
} /* End of Function */

/**#F
    @Name: initUSR()@$
    @Type: Array@$
    @See: RuruMySQL Class@$
    @Version: 1.0.6@$
    @Date: 03-08-13@$
    @Last Modified: 03-12-03@$
    @Detail: Logged user data swap@$
*/
function initUSR()
{
    global $SQL , $_USR , $_TBN, $site;

    // SQL Ǿ  ʰų, ȸ ƴϰų, ̹  
    if ( !$SQL->isConnect() || !isMember() || (is_array( $_USR ) && sizeOf( $_USR )) ) return false;
    $sitetmp = ( isMember() ) ? cook( '_site' ) : $site;
    $_USR = array();
    
    /** ڰ ̺ °
          α Ǿ ִ ¿ Uninstall  ̴.
         ۵ϱ ؼ   α׾ƿ óش
    */
    $SQL->queryResult( "select * from $_TBN[member] where id='".cook( '_login_id' )."' && pass='".cook('_login_pass')."' && site='".cook('_site')."'" ) or logoutProcess();
    $_USR = $SQL->DATA[0];
    return $_USR;
} /* End of Function */

/**#F
    @Name: initCAT()@$
    @Type: Array@$
    @See: RuruMySQL Class@$
    @Version : 1.0.4@$
    @Date: 03-08-13@$
    @Last Modified: 03-12-03@$
    @Detail: Category data swap@$
*/
function initCAT( &$_CAT , $code )
{
    global $_TBN , $SQL;
    if ( !$SQL->isConnect() ) return false;
    $_CAT = array();
    $SQL->queryResult( "select * from $_TBN[category] where code='$code'" );
    $_CAT = $SQL->DATA[0];
    return $_CAT;
} /* End of Function */

/**#F
    @Name: parseCAT()@$
    @Type: Array@$
    @See: RuruMySQL Class@$
    @Version : 1.0.5@$
    @Date: 03-08-13@$
    @Last Modified: 03-12-03@$
    @Detail: Category 1 data swap@$
*/
function parseCAT( &$pCAT , $code , $no )
{
    global $_TBN , $SQL;
    if ( !$SQL->isConnect() ) return false;
    $pCAT = null;
    $tmp = $SQL->queryResult( "select * from $_TBN[category] where code='$code' and no='$no'" );
    $pCAT = $tmp[0];
    return $pCAT;
}

/**#F
    @Name: initPage()@$
    @Type: Array@$
    @See: RuruMySQL Class@$
    @Version: 1.0.4@$
    @Date: 03-08-13@$
    @Last Modified: 03-12-03@$
    @Detail: Board Config data swap@$
*/
function initPAGE( &$_PAGE , $code )
{
    global $_TBN , $_DIR , $SQL , $SKIN , $BSKIN;
    if ( !$SQL->isConnect() || (is_array( $_PAGE ) && sizeOf( $_PAGE )) ) return false;
    $_PAGE = array();
    $SQL->queryResult( "select * from $_TBN[admin] where code='$code'" );
    $_PAGE = $SQL->DATA[0];
    $_TBN[board] = $_TBN[table]."_board_".$code;
    //$SKIN = $_DIR[SKIN]."/board/".$_PAGE[skin];
    $BSKIN = $SKIN = "skin/board/".$_PAGE[skin];
    return $_PAGE;
} /* End of Function */

/**#F
    @Name: initGET()@$
    @Type: Array@$
    @See: RuruMySQL Class@$
    @Version: 1.0.1@$
    @Date: 03-08-13@$
    @Last Modified: 03-12-03@$
    @Detail: Initialize GET Vars data swap@$
function initGET()
{
    global $href , $code , $page , $s_sub , $s_memo , $s_name , $keyword;
    $href = '';
    $href .= 'code=' . $code . '&';
    if ( $page ) $href .= 'page=' . $page . '&';
    if( !$keyword )
    {
        $s_name = 'on';
        $s_sub  = 'on';
        $s_memo = 'off';
    }
    else
    {
        if ( !$s_name ) $s_name = 'off';
        if ( !$s_sub  ) $s_sub  = 'off';
        if ( !$s_memo ) $s_memo = 'off';
    }
    $href .= 'keyword=' . $keyword . '&s_sub=' . $s_sub . '&s_name=' . $s_name . '&s_memo=' . $s_memo;

    return $href;
}
*/

/**
* Get variables initialize
*
* @return	array
* @access	public
* @since    2003-12-21
* @author	sunyruru<ruru@unfix.net>
*/
function initGet()
{
    $G = $GLOBALS["HTTP_GET_VARS"];
    for( reset( $tmp = array_unique( $G ) ) , $href = "" ; list( $key , $value ) = each( $tmp ) ;)
        $href .= "&$key=$value";
    if ( !$href )
        $href = "site=$GLOBALS[site]&group=$GLOBALS[group]&code=$GLOBALS[code]&page_num=$GLOBALS[page_num]&exec=$GLOBALS[exec]&page=$GLOBALS[page]";
    return $href;
    //$href = "group=".gV("group")."&code=".gV("code")."&page_num=".gV("page_num")."&exec=".gV("exec");
} /* End of Function */

/*
 * Local Variables:
 * mode: php
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 */
?>