# MySQL-Front Dump 2.5
#
# Host: localhost   Database: sunyruru
# --------------------------------------------------------
# Server version 3.23.49


#
# Table structure for table 'rc_admin'
#

DROP TABLE IF EXISTS rc_admin;
CREATE TABLE rc_admin (
  no int(10) unsigned NOT NULL auto_increment,
  grp int(10) unsigned NOT NULL default '0',
  code varchar(20) NOT NULL default '',
  skin varchar(30) NOT NULL default '',
  title varchar(255) NOT NULL default '',
  board_width varchar(255) NOT NULL default '95%',
  new_art int(10) unsigned default '86400',
  cut_sub int(10) unsigned default '0',
  page_num tinyint(3) unsigned default '10',
  index_num tinyint(3) unsigned default '10',
  head_script text,
  head_file varchar(255) default '',
  head_tag text,
  tail_tag text,
  tail_file varchar(255) default '',
  html tinyint(4) default '0',
  listing enum('0','1') NOT NULL default '1',
  reply enum('0','1') NOT NULL default '1',
  emoticon enum('0','1') NOT NULL default '1',
  formmail enum('0','1') NOT NULL default '1',
  category enum('0','1') NOT NULL default '1',
  comment enum('0','1') NOT NULL default '1',
  search enum('0','1') NOT NULL default '1',
  show_mail enum('0','1') NOT NULL default '1',
  show_ip enum('0','1') NOT NULL default '1',
  use_whois enum('0','1') NOT NULL default '1',
  use_filter enum('0','1') NOT NULL default '1',
  ext_mode tinyint(4) NOT NULL default '0',
  up tinyint(4) NOT NULL default '1',
  upsize int(10) unsigned default '0',
  link tinyint(4) NOT NULL default '1',
  total_data int(10) unsigned NOT NULL default '0',
  body_option tinytext,
  filter text,
  tag text,
  ext text,
  badmin text,
  perm_read tinyint(3) unsigned NOT NULL default '0',
  perm_write tinyint(3) unsigned NOT NULL default '0',
  perm_modify tinyint(3) unsigned NOT NULL default '0',
  perm_reply tinyint(3) unsigned NOT NULL default '0',
  perm_list tinyint(3) unsigned NOT NULL default '0',
  perm_del tinyint(3) unsigned NOT NULL default '0',
  perm_comment tinyint(3) unsigned NOT NULL default '0',
  perm_notice tinyint(3) unsigned NOT NULL default '0',
  perm_secret tinyint(3) unsigned NOT NULL default '0',
  perm_html tinyint(3) unsigned NOT NULL default '0',
  regdate int(11) default '0',
  PRIMARY KEY  (no),
  KEY no (no),
  KEY code (code)
) TYPE=MyISAM;



#
# Dumping data for table 'rc_admin'
#

INSERT INTO rc_admin (no, grp, code, skin, title, board_width, new_art, cut_sub, page_num, index_num, head_script, head_file, head_tag, tail_tag, tail_file, html, listing, reply, emoticon, formmail, category, comment, search, show_mail, show_ip, use_whois, use_filter, ext_mode, up, upsize, link, total_data, body_option, filter, tag, ext, badmin, perm_read, perm_write, perm_modify, perm_reply, perm_list, perm_del, perm_comment, perm_notice, perm_secret, perm_html, regdate) VALUES("2", "1", "test", "ruru_basic", "test", "95%", "86400", "0", "10", "10", "", "", "", "", "", "1", "1", "1", "1", "1", "0", "1", "1", "1", "1", "1", "1", "0", "1", "2097152", "1", "36", "text=black bgcolor=white", "8|||һ|||||||ֳ|ֳ|||ϱ||||ٺ|û|||ù||׶||õ|õid|õ̵|/õ/|||ΰ|ģ|ģ||׽ϴ|Ծ|Ե|", "a|img|embed|font|br", "html|htm|php|php3|php4|inc|jsp|asp|cgi|pl|ph|exe", "", "10", "9", "3", "9", "9", "3", "9", "3", "7", "3", "125088299");
INSERT INTO rc_admin (no, grp, code, skin, title, board_width, new_art, cut_sub, page_num, index_num, head_script, head_file, head_tag, tail_tag, tail_file, html, listing, reply, emoticon, formmail, category, comment, search, show_mail, show_ip, use_whois, use_filter, ext_mode, up, upsize, link, total_data, body_option, filter, tag, ext, badmin, perm_read, perm_write, perm_modify, perm_reply, perm_list, perm_del, perm_comment, perm_notice, perm_secret, perm_html, regdate) VALUES("3", "1", "testtest", "ruru_basic", "testtest", "95%", "86400", "0", "10", "10", "", "", "", "", "", "1", "0", "0", "0", "0", "0", "0", "0", "1", "1", "1", "1", "0", "0", "2097152", "0", "0", "text=black bgcolor=white", "8|||һ|||||||ֳ|ֳ|||ϱ||||ٺ|û|||ù||׶||õ|õid|õ̵|/õ/|||ΰ|ģ|ģ||׽ϴ|Ծ|Ե|", "a|img|embed|font|br", "html|htm|php|php3|php4|inc|jsp|asp|cgi|pl|ph|exe", "", "9", "9", "3", "9", "9", "3", "9", "3", "7", "3", "125276467");


#
# Table structure for table 'rc_board_test'
#

DROP TABLE IF EXISTS rc_board_test;
CREATE TABLE rc_board_test (
  no int(10) unsigned NOT NULL auto_increment,
  pri_key int(11) NOT NULL default '0',
  sec_key tinyint(3) unsigned NOT NULL default '0',
  depth tinyint(3) unsigned default '0',
  cate int(11) default '0',
  next int(11) default '0',
  prev int(11) default '0',
  name varchar(255) binary default '',
  email varchar(255) default '',
  homepage varchar(255) default '',
  subject varchar(255) binary default '',
  regdate int(10) unsigned default '0',
  ip int(11) default '0',
  password varchar(32) default '',
  use_br enum('0','1') default NULL,
  auto_link enum('0','1') default NULL,
  use_html tinyint(4) default '0',
  reply_mail enum('0','1') default '0',
  secure enum('0','1') default '0',
  count int(10) unsigned default '0',
  vote int(11) default '0',
  comment int(10) unsigned default '0',
  memo text,
  up text,
  link text,
  is_member varchar(255) default NULL,
  is_notice tinyint(4) default NULL,
  PRIMARY KEY  (no),
  KEY no (pri_key,sec_key)
) TYPE=MyISAM;



#
# Dumping data for table 'rc_board_test'
#

INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("1", "0", "0", "0", "100000000", "7", "43", "Ϸ", "ruru@unfix.net", "http://ruru.unfix.net", "tet", "125088339", "2130706433", "6aaadd6b73ca30c20ceb4ad007547f5f", NULL, NULL, "1", "", "0", "19", "0", "0", "test", "", "", "ruru", "0");
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("2", "0", "1", "1", "100000000", "7", "43", "Ϸ", "ruru@unfix.net", "", "tet", "125088348", "2130706433", "606d7e1c76f69071", NULL, NULL, "1", "", "", "8", "0", "0", "\r\n\r\n\r\n>------------------------------------\r\n>    Ϸ     Դϴ..\r\n>------------------------------------\r\n>\r\n>test", "", "", NULL, NULL);
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("14", "-11", "0", "0", "100000000", "12", "15", "Ϸ", "ruru@unfix.net", "http://ruru.unfix.net", "fdsaf", "125383263", "2130706433", "6aaadd6b73ca30c20ceb4ad007547f5f", NULL, NULL, "1", "", "1", "4", "0", "0", "asfsafas", "", "", "ruru", "0");
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("15", "-12", "0", "0", "100000000", "14", "16", "Ϸ", "ruru@unfix.net", "http://ruru.unfix.net", "fsfasf", "125383621", "2130706433", "6aaadd6b73ca30c20ceb4ad007547f5f", NULL, NULL, "1", "", "0", "4", "0", "2", "asfsafas", "", "", "ruru", "0");
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("5", "-3", "0", "0", "100000000", "4", "6", "Ϸ", "ruru@unfix.net", "http://ruru.unfix.net", "testasfdsa", "125097465", "2130706433", "6aaadd6b73ca30c20ceb4ad007547f5f", NULL, NULL, "1", "", "0", "117", "0", "0", "fasfasfsa", "", "", "ruru", "0");
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("16", "-13", "0", "0", "100000000", "15", "18", "Ϸ", "ruru@unfix.net", "http://ruru.unfix.net", "afdasfas", "125383846", "2130706433", "6aaadd6b73ca30c20ceb4ad007547f5f", NULL, NULL, "1", "", "0", "12", "0", "0", "fsafasfas", "", "", "ruru", "0");
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("13", "-200000000", "0", "0", "100000000", "7", "36", "Ϸ", "ruru@unfix.net", "http://ruru.unfix.net", "Notice Test", "125382977", "2130706433", "6aaadd6b73ca30c20ceb4ad007547f5f", NULL, NULL, "1", "", "0", "6", "0", "0", "test", "", "", "ruru", "1");
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("8", "-6", "0", "0", "100000000", "7", "9", "Ϸ", "ruru@unfix.net", "http://ruru.unfix.net", "fdsafasf", "125097484", "2130706433", "6aaadd6b73ca30c20ceb4ad007547f5f", NULL, NULL, "1", "", "0", "20", "0", "0", "asfsafsa", "", "", "ruru", "0");
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("9", "-7", "0", "0", "100000000", "8", "10", "Ϸ", "ruru@unfix.net", "http://ruru.unfix.net", "test", "125097515", "2130706433", "6aaadd6b73ca30c20ceb4ad007547f5f", NULL, NULL, "1", "", "0", "13", "0", "0", "afdsafas", "", "", "ruru", "0");
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("12", "-10", "0", "0", "100000000", "11", "14", "Ϸ", "ruru@unfix.net", "http://ruru.unfix.net", "fdsaf", "125382951", "2130706433", "6aaadd6b73ca30c20ceb4ad007547f5f", NULL, NULL, "1", "", "0", "4", "0", "1", "afsdafa", "", "", "ruru", "0");
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("11", "-9", "0", "0", "100000000", "10", "12", "Ϸ", "ruru@unfix.net", "http://ruru.unfix.net", "fsafqref", "125097648", "2130706433", "6aaadd6b73ca30c20ceb4ad007547f5f", NULL, NULL, "1", "", "0", "15", "0", "0", "safq43214easd", "", "", "ruru", "0");
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("17", "-13", "1", "1", "100000000", "15", "18", "Ϸ", "ruru@unfix.net", "", "Re: afdasfas", "125442040", "2130706433", "606d7e1c76f69071", NULL, NULL, "0", "", "1", "2", "0", "0", "\r\n\r\n\r\n:Ϸٴ 2003/12/22 04:12:46  \r\n:\r\n:fsafasfas", "Array", "Array", NULL, NULL);
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("18", "-14", "0", "0", "100000000", "16", "19", "Ϸ", "ruru@unfix.net", "http://ruru.unfix.net", "fsafas", "125495054", "2130706433", "bf2ca99306a385e308329cff49b79223", NULL, NULL, "1", "", "0", "3", "0", "1", "fafas", "", "", "sunyruru", "0");
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("23", "-18", "0", "0", "100000000", "21", "24", "Ϸ", "ruru@unfix.net", "http://ruru.unfix.net", "fdsafas", "125516487", "2130706433", "bf2ca99306a385e308329cff49b79223", NULL, NULL, "1", "", "0", "1", "0", "0", "fasfdasf", "", "", "sunyruru", "0");
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("24", "-19", "0", "0", "100000000", "23", "37", "Ϸ", "ruru@unfix.net", "http://ruru.unfix.net", "fdsafas", "125516497", "2130706433", "bf2ca99306a385e308329cff49b79223", NULL, NULL, "1", "", "0", "2", "0", "3", "fasfa", "", "", "sunyruru", "0");
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("20", "-16", "0", "0", "100000000", "19", "21", "輱", "ruru@unfix.net", "", "fsafasf", "125499704", "2130706433", "bf2ca99306a385e308329cff49b79223", NULL, NULL, "0", "", "1", "3", "0", "0", "sfasdf\r\n<?php\r\necho \"test\";\r\n?>", "", "", "sunyruru", "0");
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("21", "-17", "0", "0", "100000000", "20", "23", "Ϸ", "ruru@unfix.net", "http://ruru.unfix.net", "fdafa", "125500134", "2130706433", "bf2ca99306a385e308329cff49b79223", NULL, NULL, "1", "", "0", "2", "0", "5", "fsdfasdf", "", "", "sunyruru", "0");
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("25", "-19", "1", "1", "0", "23", "37", "Ϸ", "ruru@unfix.net", "", "Re: fdsafas", "125516521", "2130706433", "03ed30fb5b117f80", NULL, NULL, "0", "", "1", "2", "0", "1", "\r\n\r\n:24 2003/12/23 17:12:37  \r\n:\r\n:fasfa", "Array", "Array", NULL, NULL);
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("26", "-19", "2", "2", "0", "23", "37", "Ϸ", "ruru@unfix.net", "", "Re: Re: fdsafas", "125516528", "2130706433", "03ed30fb5b117f80", NULL, NULL, "0", "", "1", "1", "0", "0", "\r\n\r\n:Ϸٴ 2003/12/23 17:12:01  \r\n:\r\n:\r\n:\r\n::24 2003/12/23 17:12:37  \r\n::\r\n::fasfa", "Array", "Array", NULL, NULL);
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("27", "-19", "9", "3", "0", "23", "37", "Ϸ", "ruru@unfix.net", "", "Re: Re: Re: fdsafas", "125516533", "2130706433", "03ed30fb5b117f80", NULL, NULL, "0", "", "1", "1", "0", "0", "\r\n\r\n:Ϸٴ 2003/12/23 17:12:08  \r\n:\r\n:\r\n:\r\n::Ϸٴ 2003/12/23 17:12:01  \r\n::\r\n::\r\n::\r\n:::24 2003/12/23 17:12:37  \r\n:::\r\n:::fasfa", "Array", "Array", NULL, NULL);
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("28", "-19", "10", "4", "0", "23", "37", "Ϸ", "ruru@unfix.net", "", "Re: Re: Re: Re: fdsafas", "125516537", "2130706433", "03ed30fb5b117f80", NULL, NULL, "0", "", "1", "1", "0", "0", "\r\n\r\n:Ϸٴ 2003/12/23 17:12:13  \r\n:\r\n:\r\n:\r\n::Ϸٴ 2003/12/23 17:12:08  \r\n::\r\n::\r\n::\r\n:::Ϸٴ 2003/12/23 17:12:01  \r\n:::\r\n:::\r\n:::\r\n::::24 2003/12/23 17:12:37  \r\n::::\r\n::::fasfa", "Array", "Array", NULL, NULL);
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("29", "-19", "11", "5", "0", "23", "37", "Ϸ", "ruru@unfix.net", "", "Re: Re: Re: Re: Re: fdsafas", "125516542", "2130706433", "03ed30fb5b117f80", NULL, NULL, "0", "", "1", "1", "0", "0", "\r\n\r\n:Ϸٴ 2003/12/23 17:12:17  \r\n:\r\n:\r\n:\r\n::Ϸٴ 2003/12/23 17:12:13  \r\n::\r\n::\r\n::\r\n:::Ϸٴ 2003/12/23 17:12:08  \r\n:::\r\n:::\r\n:::\r\n::::Ϸٴ 2003/12/23 17:12:01  \r\n::::\r\n::::\r\n::::\r\n:::::24 2003/12/23 17:12:37  \r\n:::::\r\n:::::fasfa", "Array", "Array", NULL, NULL);
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("30", "-19", "5", "3", "0", "23", "37", "Ϸ", "ruru@unfix.net", "", "Re: Re: Re: fdsafas", "125516832", "2130706433", "03ed30fb5b117f80", NULL, NULL, "0", "", "1", "1", "0", "0", "\r\n\r\n:Ϸٴ 2003/12/23 17:12:08  \r\n:\r\n:\r\n:\r\n::Ϸٴ 2003/12/23 17:12:01  \r\n::\r\n::\r\n::\r\n:::24 2003/12/23 17:12:37  \r\n:::\r\n:::fasfa", "Array", "Array", NULL, NULL);
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("31", "-19", "6", "4", "0", "23", "37", "Ϸ", "ruru@unfix.net", "", "Re: Re: Re: Re: fdsafas", "125516838", "2130706433", "03ed30fb5b117f80", NULL, NULL, "0", "", "", "1", "0", "0", "\r\n\r\n:Ϸٴ 2003/12/23 17:12:12  \r\n:\r\n:\r\n:\r\n::Ϸٴ 2003/12/23 17:12:08  \r\n::\r\n::\r\n::\r\n:::Ϸٴ 2003/12/23 17:12:01  \r\n:::\r\n:::\r\n:::\r\n::::24 2003/12/23 17:12:37  \r\n::::\r\n::::fasfa", "Array", "Array", NULL, NULL);
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("32", "-19", "7", "5", "0", "23", "37", "Ϸ", "ruru@unfix.net", "", "Re: Re: Re: Re: Re: fdsafas", "125516846", "2130706433", "03ed30fb5b117f80", NULL, NULL, "0", "", "", "1", "0", "0", "\r\n\r\n:Ϸٴ 2003/12/23 17:12:18  \r\n:\r\n:\r\n:\r\n::Ϸٴ 2003/12/23 17:12:12  \r\n::\r\n::\r\n::\r\n:::Ϸٴ 2003/12/23 17:12:08  \r\n:::\r\n:::\r\n:::\r\n::::Ϸٴ 2003/12/23 17:12:01  \r\n::::\r\n::::\r\n::::\r\n:::::24 2003/12/23 17:12:37  \r\n:::::\r\n:::::fasfa", "Array", "Array", NULL, NULL);
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("33", "-19", "8", "6", "0", "23", "37", "Ϸ", "ruru@unfix.net", "", "Re: Re: Re: Re: Re: Re: fdsafas", "125516858", "2130706433", "03ed30fb5b117f80", NULL, NULL, "0", "", "", "1", "0", "0", "\r\n\r\n:Ϸٴ 2003/12/23 17:12:26  \r\n:\r\n:\r\n:\r\n::Ϸٴ 2003/12/23 17:12:18  \r\n::\r\n::\r\n::\r\n:::Ϸٴ 2003/12/23 17:12:12  \r\n:::\r\n:::\r\n:::\r\n::::Ϸٴ 2003/12/23 17:12:08  \r\n::::\r\n::::\r\n::::\r\n:::::Ϸٴ 2003/12/23 17:12:01  \r\n:::::\r\n:::::\r\n:::::\r\n::::::24 2003/12/23 17:12:37  \r\n::::::\r\n::::::fasfa", "Array", "Array", NULL, NULL);
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("34", "-19", "3", "3", "0", "23", "37", "Ϸ", "ruru@unfix.net", "", "Re: Re: Re: fdsafas", "125516870", "2130706433", "03ed30fb5b117f80", NULL, NULL, "0", "", "", "1", "0", "0", "\r\n\r\n:Ϸٴ 2003/12/23 17:12:08  \r\n:\r\n:\r\n:\r\n::Ϸٴ 2003/12/23 17:12:01  \r\n::\r\n::\r\n::\r\n:::24 2003/12/23 17:12:37  \r\n:::\r\n:::fasfa", "Array", "Array", NULL, NULL);
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("35", "-19", "4", "4", "0", "23", "37", "Ϸ", "ruru@unfix.net", "", "Re: Re: Re: Re: fdsafas", "125516876", "2130706433", "03ed30fb5b117f80", NULL, NULL, "0", "", "", "2", "0", "0", "\r\n\r\n:Ϸٴ 2003/12/23 17:12:50  \r\n:\r\n:\r\n:\r\n::Ϸٴ 2003/12/23 17:12:08  \r\n::\r\n::\r\n::\r\n:::Ϸٴ 2003/12/23 17:12:01  \r\n:::\r\n:::\r\n:::\r\n::::24 2003/12/23 17:12:37  \r\n::::\r\n::::fasfa", "Array", "Array", NULL, NULL);
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("36", "-200000001", "0", "0", "100000000", "13", "0", "Ϸ", "ruru@unfix.net", "http://ruru.unfix.net", "fdsafsafas", "125516895", "2130706433", "bf2ca99306a385e308329cff49b79223", NULL, NULL, "1", "", "0", "1", "0", "0", "fsdafasfaf", "", "", "sunyruru", "1");
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("37", "-20", "0", "0", "100000000", "24", "40", "Ϸ", "ruru@unfix.net", "", "fdsafsaf", "125516909", "2130706433", "bf2ca99306a385e308329cff49b79223", NULL, NULL, "0", "", "", "3", "0", "0", "safasfsafas", "", "", "sunyruru", "0");
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("39", "-16", "1", "1", "0", "19", "21", "Ϸ", "ruru@unfix.net", "", "Re: fsafasf", "125533181", "2130706433", "606d7e1c76f69071", NULL, NULL, "0", "", "1", "1", "0", "0", "\r\n\r\n:20 2003/12/23 13:12:44  \r\n:\r\n:sfasdf\r\n:<?php\r\n:echo &quot;test&quot;;\r\n:?>", "Array", "Array", NULL, NULL);
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("38", "-20", "1", "1", "0", "24", "40", "Ϸ", "ruru@unfix.net", "", "Re: fdsafsaf", "125516919", "2130706433", "03ed30fb5b117f80", NULL, NULL, "0", "", "", "3", "0", "0", "\r\n\r\n:37 2003/12/23 17:12:29  \r\n:\r\n:safasfsafas", "Array", "Array", NULL, NULL);
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("40", "-21", "0", "0", "100000000", "37", "41", "Ϸ", "ruru@unfix.net", "", "fdsafa", "125588640", "2130706433", "6aaadd6b73ca30c20ceb4ad007547f5f", NULL, NULL, "0", "", "", "1", "0", "0", "fdsafa", "", "", "ruru", "0");
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("42", "-22", "1", "1", "0", "40", "0", "Ϸ", "ruru@unfix.net", "", "Re: fdsafasfasfas", "125588695", "2130706433", "606d7e1c76f69071", NULL, NULL, "0", "", "1", "1", "0", "0", "\r\n\r\n:Ϸٴ 2003/12/24 13:12:10  \r\n:\r\n:fsdafasfasfas", "Array", "Array", NULL, NULL);
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("41", "-22", "0", "0", "100000000", "40", "0", "Ϸ", "ruru@unfix.net", "http://ruru.unfix.net", "fdsafasfasfas", "125588650", "2130706433", "6aaadd6b73ca30c20ceb4ad007547f5f", NULL, NULL, "0", "", "0", "1", "0", "1", "fsdafasfasfas", "none", "", "ruru", "0");
INSERT INTO rc_board_test (no, pri_key, sec_key, depth, cate, next, prev, name, email, homepage, subject, regdate, ip, password, use_br, auto_link, use_html, reply_mail, secure, count, vote, comment, memo, up, link, is_member, is_notice) VALUES("43", "-22", "2", "2", "0", "40", "0", "Ϸ", "ruru@unfix.net", "", "Re: Re: fdsafasfasfas", "125588705", "2130706433", "606d7e1c76f69071", NULL, NULL, "0", "", "", "1", "0", "0", "\r\n:Ϸٴ 2003/12/24 13:12:55  \r\n:\r\n:\r\n:\r\n::Ϸٴ 2003/12/24 13:12:10  \r\n::\r\n::fsdafasfasfas", "", "", NULL, NULL);


#
# Table structure for table 'rc_category'
#

DROP TABLE IF EXISTS rc_category;
CREATE TABLE rc_category (
  no int(10) unsigned NOT NULL auto_increment,
  sub int(10) unsigned NOT NULL default '100000000',
  dep tinyint(3) unsigned NOT NULL default '1',
  parent int(10) unsigned NOT NULL default '100000000',
  grp int(10) unsigned NOT NULL default '0',
  code varchar(20) default '',
  name varchar(255) binary NOT NULL default '',
  data int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (no),
  KEY sub (sub)
) TYPE=MyISAM;



#
# Dumping data for table 'rc_category'
#

INSERT INTO rc_category (no, sub, dep, parent, grp, code, name, data) VALUES("6", "300000000", "1", "0", "1", "test", "亯", "0");
INSERT INTO rc_category (no, sub, dep, parent, grp, code, name, data) VALUES("5", "200000000", "1", "0", "1", "test", "", "0");
INSERT INTO rc_category (no, sub, dep, parent, grp, code, name, data) VALUES("4", "100000000", "1", "0", "1", "test", "Ϲ", "36");
INSERT INTO rc_category (no, sub, dep, parent, grp, code, name, data) VALUES("7", "100000000", "1", "0", "1", "testtest", "Ϲ", "0");
INSERT INTO rc_category (no, sub, dep, parent, grp, code, name, data) VALUES("8", "200000000", "1", "0", "1", "testtest", "", "0");
INSERT INTO rc_category (no, sub, dep, parent, grp, code, name, data) VALUES("9", "300000000", "1", "0", "1", "testtest", "亯", "0");


#
# Table structure for table 'rc_comment'
#

DROP TABLE IF EXISTS rc_comment;
CREATE TABLE rc_comment (
  no int(10) unsigned NOT NULL auto_increment,
  grp int(10) unsigned NOT NULL default '0',
  code varchar(20) default '',
  pid int(10) unsigned default '0',
  name varchar(255) binary default '',
  pass varchar(16) default '',
  comment text,
  regdate int(10) unsigned default '0',
  ip int(11) default '0',
  PRIMARY KEY  (no),
  KEY no (code,pid)
) TYPE=MyISAM;



#
# Dumping data for table 'rc_comment'
#

INSERT INTO rc_comment (no, grp, code, pid, name, pass, comment, regdate, ip) VALUES("1", "1", "test", "15", "a", "a", "testeswtasdfdas", "0", "0");
INSERT INTO rc_comment (no, grp, code, pid, name, pass, comment, regdate, ip) VALUES("2", "1", "test", "18", "Ϸ", "fc2baa1a20b4d519", "fasfa", "125495255", "2130706433");
INSERT INTO rc_comment (no, grp, code, pid, name, pass, comment, regdate, ip) VALUES("3", "1", "test", "15", "Ϸ", "66c8d2b09e211c09", "test", "125514993", "2130706433");
INSERT INTO rc_comment (no, grp, code, pid, name, pass, comment, regdate, ip) VALUES("4", "1", "test", "15", "Ϸ", "9186844637c7ca38", "afas", "125515014", "2130706433");
INSERT INTO rc_comment (no, grp, code, pid, name, pass, comment, regdate, ip) VALUES("5", "1", "test", "21", "Ϸ", "fc2baa1a20b4d519", "fsafas", "125516446", "2130706433");
INSERT INTO rc_comment (no, grp, code, pid, name, pass, comment, regdate, ip) VALUES("6", "1", "test", "21", "Ϸ", "fc2baa1a20b4d519", "fsafas", "125516450", "2130706433");
INSERT INTO rc_comment (no, grp, code, pid, name, pass, comment, regdate, ip) VALUES("7", "1", "test", "21", "Ϸ", "cf814f18ccc3cce8", "fsdafasfas", "125516455", "2130706433");
INSERT INTO rc_comment (no, grp, code, pid, name, pass, comment, regdate, ip) VALUES("8", "1", "test", "21", "Ϸ", "cf814f18ccc3cce8", "fdsafaf", "125516460", "2130706433");
INSERT INTO rc_comment (no, grp, code, pid, name, pass, comment, regdate, ip) VALUES("9", "1", "test", "21", "Ϸ", "8a454eaab5f31bcc", "fdsafasfasfas", "125516466", "2130706433");
INSERT INTO rc_comment (no, grp, code, pid, name, pass, comment, regdate, ip) VALUES("10", "1", "test", "24", "Ϸ", "cf814f18ccc3cce8", "fsdafasfasd", "125516504", "2130706433");
INSERT INTO rc_comment (no, grp, code, pid, name, pass, comment, regdate, ip) VALUES("11", "1", "test", "24", "Ϸ", "f4c902c9ae5a2a9d", "fsafasfasdf", "125516510", "2130706433");
INSERT INTO rc_comment (no, grp, code, pid, name, pass, comment, regdate, ip) VALUES("12", "1", "test", "24", "Ϸ", "cf814f18ccc3cce8", "fsdafasfas", "125516516", "2130706433");
INSERT INTO rc_comment (no, grp, code, pid, name, pass, comment, regdate, ip) VALUES("13", "1", "test", "12", "Ϸ", "fc2baa1a20b4d519", "fsafa", "125586896", "2130706433");
INSERT INTO rc_comment (no, grp, code, pid, name, pass, comment, regdate, ip) VALUES("14", "1", "test", "25", "Ϸ", "098f6bcd4621d373", "test", "125586915", "2130706433");
INSERT INTO rc_comment (no, grp, code, pid, name, pass, comment, regdate, ip) VALUES("15", "1", "test", "41", "Ϸ", "d41d8cd98f00b204", "fdsafasf", "125588682", "2130706433");


#
# Table structure for table 'rc_group'
#

DROP TABLE IF EXISTS rc_group;
CREATE TABLE rc_group (
  no int(10) unsigned NOT NULL auto_increment,
  grp_name varchar(255) binary default '',
  pub tinyint(3) unsigned default '0',
  join_skin varchar(255) default '',
  info_skin varchar(255) default NULL,
  mail_skin varchar(255) default '',
  head_file varchar(255) default '',
  head_tag text,
  tail_tag text,
  tail_file varchar(255) default '',
  bad_ip text,
  join_level tinyint(4) default '9',
  limit_age tinyint(4) default '14',
  after_url varchar(255) default NULL,
  return_pass enum('0','1') default '1',
  get_jumin enum('0','1') default '1',
  get_job enum('0','1') default '1',
  get_hobby enum('0','1') default '1',
  get_addr enum('0','1') default '1',
  get_phone enum('0','1') default '1',
  get_handphone enum('0','1') default '1',
  get_ofc_addr enum('0','1') default '1',
  get_ofc_phone enum('0','1') default '1',
  get_home enum('0','1') default '1',
  get_icq enum('0','1') default '1',
  get_msn enum('0','1') default '1',
  get_picture enum('0','1') default '1',
  get_mailing enum('0','1') default '1',
  get_public enum('0','1') default '1',
  regdate int(11) default '0',
  PRIMARY KEY  (no)
) TYPE=MyISAM;



#
# Dumping data for table 'rc_group'
#

INSERT INTO rc_group (no, grp_name, pub, join_skin, info_skin, mail_skin, head_file, head_tag, tail_tag, tail_file, bad_ip, join_level, limit_age, after_url, return_pass, get_jumin, get_job, get_hobby, get_addr, get_phone, get_handphone, get_ofc_addr, get_ofc_phone, get_home, get_icq, get_msn, get_picture, get_mailing, get_public, regdate) VALUES("1", "test", "1", "ruru_basic", "ruru_basic", "ruru_basic", "", "", "", "", "", "9", "0", "", "1", "1", "1", "1", "1", "1", "0", "0", "0", "0", "0", "0", "0", "1", "1", "125035900");
INSERT INTO rc_group (no, grp_name, pub, join_skin, info_skin, mail_skin, head_file, head_tag, tail_tag, tail_file, bad_ip, join_level, limit_age, after_url, return_pass, get_jumin, get_job, get_hobby, get_addr, get_phone, get_handphone, get_ofc_addr, get_ofc_phone, get_home, get_icq, get_msn, get_picture, get_mailing, get_public, regdate) VALUES("2", "", "0", "ruru_basic", "ruru_basic", "ruru_basic", "", "", "", "", "", "9", "0", "", "1", "1", "1", "1", "1", "1", "0", "0", "0", "0", "0", "0", "0", "1", "1", "125715109");


#
# Table structure for table 'rc_member'
#

DROP TABLE IF EXISTS rc_member;
CREATE TABLE rc_member (
  no int(10) unsigned NOT NULL auto_increment,
  grp int(11) default '0',
  id varchar(255) NOT NULL default '',
  pass varchar(32) NOT NULL default '',
  birth int(10) unsigned default '0',
  jumin varchar(32) default '',
  level tinyint(4) default '10',
  level2 tinyint(4) default '3',
  name varchar(255) binary default '',
  nick varchar(255) binary default '',
  job varchar(255) binary default '',
  hobby varchar(255) binary default '',
  addr varchar(255) default NULL,
  phone varchar(255) default NULL,
  cellular_phone varchar(255) default NULL,
  ofc_addr varchar(255) default NULL,
  ofc_phone varchar(255) default NULL,
  home varchar(255) default NULL,
  email varchar(255) default NULL,
  icq int(10) unsigned default '0',
  msn varchar(255) default NULL,
  picture varchar(255) default NULL,
  mailing enum('0','1') default '1',
  profile text,
  public enum('0','1') default '1',
  badmin text,
  point1 int(10) unsigned default '0',
  point2 int(10) unsigned default '0',
  regdate int(11) default '0',
  PRIMARY KEY  (no),
  KEY grp (grp)
) TYPE=MyISAM;



#
# Dumping data for table 'rc_member'
#

INSERT INTO rc_member (no, grp, id, pass, birth, jumin, level, level2, name, nick, job, hobby, addr, phone, cellular_phone, ofc_addr, ofc_phone, home, email, icq, msn, picture, mailing, profile, public, badmin, point1, point2, regdate) VALUES("6", "0", "sunyruru", "bf2ca99306a385e308329cff49b79223", "810115", "238d0dfb8aa6814c0c183eb7b82d6c66", "0", "1", "輱", "Ϸ", "", "", "", "", NULL, NULL, NULL, "http://ruru.unfix.net", "ruru@unfix.net", "0", "", NULL, "1", "", "1", "", "21", "0", "125035882");
INSERT INTO rc_member (no, grp, id, pass, birth, jumin, level, level2, name, nick, job, hobby, addr, phone, cellular_phone, ofc_addr, ofc_phone, home, email, icq, msn, picture, mailing, profile, public, badmin, point1, point2, regdate) VALUES("7", "1", "ruru", "6aaadd6b73ca30c20ceb4ad007547f5f", "810115", "238d0dfb8aa6814c0c183eb7b82d6c66", "9", "3", "輱", "Ϸ", "α׷", "α׷", "", "042", "", "", "", "http://ruru.unfix.net", "ruru@unfix.net", "0", "", NULL, "1", "^-^", "1", "", "22", "0", "125036731");


#
# Table structure for table 'rc_message'
#

DROP TABLE IF EXISTS rc_message;
CREATE TABLE rc_message (
  no int(10) unsigned NOT NULL auto_increment,
  get int(10) unsigned NOT NULL default '0',
  send int(10) unsigned NOT NULL default '0',
  readed enum('0','1') default '0',
  regdate int(11) default NULL,
  memo text,
  PRIMARY KEY  (no)
) TYPE=MyISAM;



#
# Dumping data for table 'rc_message'
#



#
# Table structure for table 'rc_site'
#

DROP TABLE IF EXISTS rc_site;
CREATE TABLE rc_site (
  no int(10) unsigned NOT NULL auto_increment,
  site_name varchar(255) binary default NULL,
  pub tinyint(3) unsigned default '0',
  join_skin varchar(255) default '',
  info_skin varchar(255) default NULL,
  mail_skin varchar(255) default '',
  head_file varchar(255) default '',
  head_tag text,
  tail_tag text,
  tail_file varchar(255) default '',
  bad_ip text,
  join_level tinyint(4) default '9',
  limit_age tinyint(4) default '14',
  after_url varchar(255) default NULL,
  return_pass enum('0','1') default '1',
  get_jumin enum('0','1') default '1',
  get_job enum('0','1') default '1',
  get_hobby enum('0','1') default '1',
  get_addr enum('0','1') default '1',
  get_phone enum('0','1') default '1',
  get_handphone enum('0','1') default '1',
  get_ofc_addr enum('0','1') default '1',
  get_ofc_phone enum('0','1') default '1',
  get_home enum('0','1') default '1',
  get_icq enum('0','1') default '1',
  get_msn enum('0','1') default '1',
  get_picture enum('0','1') default '1',
  get_mailing enum('0','1') default '1',
  get_public enum('0','1') default '1',
  regdate int(11) default '0',
  PRIMARY KEY  (no)
) TYPE=MyISAM;



#
# Dumping data for table 'rc_site'
#

